<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('blocks', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->foreignId('column_id')->constrained()->onDelete('cascade'); // Reference to the column
            $table->string('type'); // Type of block (e.g., "comments", "media", "files", etc.)
            $table->text('content')->nullable(); // Block content (depends on the type)
            $table->integer('position'); // For ordering blocks within a column
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('blocks');
    }
};
